<template>
  <div class="containernav">
      <nav class="nav">
        <router-link to="/"><img alt="icon" :src="require(`@/assets/home.png`)"></router-link>
        <router-link to="/lboard" class="leadrank"><img alt="icon" :src="require(`@/assets/podium.png`)"></router-link>
        <router-link to="/buyme"><img alt="icon" :src="require(`@/assets/wallet.png`)"></router-link>

      </nav>
          <router-view/>
  </div>   
  <div class="footer">
    <span>Made With ♡ ksyaputra</span> 
    <router-link to="/buyme">Buy me a coffee</router-link>
  </div>
</template>
<script>
  export default{
     created() {
    if (this.$workbox) {
      this.$workbox.addEventListener("waiting", () => {
        this.showUpgradeUI = true;
      });
    }
  },

  methods: {
    async accept() {
      this.showUpgradeUI = false
      await this.$workbox.messageSW({ type: "SKIP_WAITING" });
    }
  },
  }
</script>
<style>
*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
  .containernav{
    background: #F4F4F5;
  }
  .nav{
    width: 40%;
    min-width: 400px;
    margin: 0 auto;
    position: relative;
    display: flex;
    justify-content: space-around;
  }

.footer {
  bottom: 0;
  padding: 0.5rem;
  background-color: #F4F4F5;
  text-align: center;
  display: flex;
  justify-content: center;
}
.footer span{
  margin-right: 10px;
  color : #fff;
  background-color:#059669;
  border-radius: 5px;
  padding: 0px 5px;
}
.footer a{
  white-space: nowrap;
  text-align: center; 
  background-color: #FE9923;
  width: auto;
  padding: 0px 5px;
  color: #Fff;
  border-radius: 5px;
  text-decoration: none;
}
  .nav a{
    width:50px;
    white-space: nowrap;
    text-align: center; 
    border-bottom: 2px solid #F4F4F5;
  }
  .nav a:hover,a.router-link-active{
    border-bottom: 2px solid #FE9923;
  }
  .nav a img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 55%;
    padding: 2px;
  }

  .fade-enter-from,.fade-leave-to{
    opacity: 0;
  }

  .fade-enter-active,.fade-leave-active{
    transition: opacity 0.2s ease-out ;
  }
</style>